Click or drag to resize

CurveOffset Method (Point3d, Vector3d, Double, Double, Double, Boolean, CurveOffsetCornerStyle, CurveOffsetEndStyle)

Offsets this curve. If you have a nice offset, then there will be one entry in the array. If the original curve had kinks or the offset curve had self intersections, you will get multiple segments in the output array.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public Curve[] Offset(
	Point3d directionPoint,
	Vector3d normal,
	double distance,
	double tolerance,
	double angleTolerance,
	bool loose,
	CurveOffsetCornerStyle cornerStyle,
	CurveOffsetEndStyle endStyle
)

Parameters

directionPoint
Type: Rhino.GeometryPoint3d
A point that indicates the direction of the offset.
normal
Type: Rhino.GeometryVector3d
The normal to the offset plane.
distance
Type: SystemDouble
The positive or negative distance to offset.
tolerance
Type: SystemDouble
The offset or fitting tolerance.
angleTolerance
Type: SystemDouble
The angle tolerance, in radians, used to decide whether to split at kinks.
loose
Type: SystemBoolean
If false, offset within tolerance. If true, offset by moving edit points.
cornerStyle
Type: Rhino.GeometryCurveOffsetCornerStyle
Corner style for offset kinks.
endStyle
Type: Rhino.GeometryCurveOffsetEndStyle
End style for non-loose, non-closed curve offsets.

Return Value

Type: Curve
Offset curves on success, null on failure.
See Also